import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { Notification } from '../../../models';
import { NotificationService } from '../notification.service';
import { State } from '../ngrx/reducers';
export declare class NotificationsComponent implements OnInit, OnChanges {
    private notificationService;
    private store;
    reading: boolean;
    format: string;
    notifications$: Observable<Notification[]>;
    constructor(notificationService: NotificationService, store: Store<State>);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    readIfReading(): void;
}
